set term png
set output 'dens-sim1000.png'

set title "Плотность вероятности операций ввода-вывода\nдля 1000 клиентов"

set xlabel "IO/s"
set ylabel "Вероятность"

invsqrt2pi = 0.398942280401433
normal(x,mu,sigma)=sigma<=0?1/0:invsqrt2pi/sigma*exp(-0.5*((x-mu)/sigma)**2)

plot 'dens-sim1000.dat' u 1:2 title "Чтение" w lines, \
	'' u 1:3 title "Запись" w lines, \
	normal(x, 21000, 443) title "Чтение по ЦПТ" w lines lw 3, \
	normal(x, 17000, 571) title "Запись по ЦПТ" w lines lw 3
