#!/usr/bin/env ruby

include Math

data = Array.new { Hash.new }

rmean = 0.0
wmean = 0.0

rmax = 0.0
wmax = 0.0

while line = gets
	i = line.split(" ").map { |i| i.to_f }
	data << { :x => i[0], :rp => i[1], :wp => i[2] }

	rmean += i[0] * i[1]
	wmean += i[0] * i[2]

	if i[1] > 0 && i[0] > rmax then rmax = i[0] end
	if i[2] > 0 && i[0] > wmax then wmax = i[0] end
end

rvar = 0.0
wvar = 0.0

data.each do |i|
	rvar += (i[:x] - rmean) * (i[:x] - rmean) * i[:rp]
	wvar += (i[:x] - wmean) * (i[:x] - wmean) * i[:wp]
end

rmost = rmean + 3 * sqrt(rvar)
wmost = wmean + 3 * sqrt(wvar)

rmostp = 0.0
wmostp = 0.0

data.each do |i|
	if (i[:x] <= rmost) then
		rmostp += i[:rp]
	end
	if (i[:x] <= wmost) then
		wmostp += i[:wp]
	end
end

puts "read mean " + rmean.to_i.to_s + ", var^2 " + rvar.to_i.to_s +
	", var " + sqrt(rvar).ceil.to_s + ", max " + rmax.to_i.to_s +
	", 3sigma " + sprintf("%.2f", rmostp * 100) + "%"
puts "write mean " + wmean.to_i.to_s + ", var^2 " + wvar.to_i.to_s +
	", var " + sqrt(wvar).ceil.to_s + ", max " + wmax.to_i.to_s +
	", 3sigma " + sprintf("%.2f", wmostp * 100) + "%"
