#include <err.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#define RUNTIME		(24 * 3600)

static float *dens;
static int ndens;

static int
rrand(void)
{
	int i;
	float r, r1 = 0;

	r = (float)random() / RAND_MAX;
	for (i = 0; i < ndens; i += 3) {
		r1 += dens[i + 1];
		if (r < r1)
			return (dens[i]);
	}

	return 0;
}

static int
wrand(void)
{
	int i;
	float r, r1 = 0;

	r = (float)random() / RAND_MAX;
	for (i = 0; i < ndens; i += 3) {
		r1 += dens[i + 2];
		if (r < r1)
			return (dens[i]);
	}

	return 0;
}

int
main(int argc, char **argv)
{
	int clients, r, w, i, j;

	if (argc < 2)
		errx(1, "usage: %s clients", argv[0]);

	clients = atoi(argv[1]);

	if ((dens = malloc(64 * 1024)) == NULL)
		err(1, "malloc");

	while (!feof(stdin))
		if (fscanf(stdin, "%f%f%f", &dens[ndens], &dens[ndens + 1],
		    &dens[ndens + 2]) == 3)
			ndens += 3;

	srandom(time(NULL));

	for (i = 0; i < RUNTIME; i++) {
		r = w = 0;
		for (j = 0; j < clients; j++) {
			r += rrand();
			w += wrand();
		}
		printf("50000 %d %d\n", r, w);
	}

	return 0;
}
